%include %{_rpmconfigdir}/macros.python3

Name: python3-scikit-learn
Version: 0.19.1
Release: 6
License: BSD-3-CLAUSE
Summary: Machine learning in Python
Url: http://scikit-learn.org/
Source0: https://files.pythonhosted.org/packages/f5/2c/5edf2488897cad4fb8c4ace86369833552615bf264460ae4ef6e1f258982/scikit-learn-0.19.1.tar.gz

BuildRequires: blas-devel >= 3.8.0
BuildRequires: cblas-devel >= 3.8.0
BuildRequires: lapack-devel >= 3.8.0
BuildRequires: lapacke-devel >= 3.8.0
BuildRequires: gcc-gfortran-aix
BuildRequires: libgfortran3
BuildRequires: python3-devel
BuildRequires: python3-pip

BuildRequires: python3-numpy > 1.15.0
BuildRequires: python3-scipy >= 1.1.0

Requires: python3-numpy > 1.15.0
Requires: python3-scipy >= 1.1.0

%description
scikit-learn is a Python module for machine learning built on top of SciPy.

%prep

%setup -q -n scikit-learn-%{version}

%build

python%{py_ver} setup.py bdist_wheel

%install

pip%{py_ver} install --no-index --no-compile --root %{buildroot} dist/*.whl

perl -p -i -e 's|pip|rpm|g' %{buildroot}%{py_sitedir}/*.dist-info/INSTALLER

%files
%defattr(-, qsys, *none)

%{py_sitedir}/sklearn
%{py_sitedir}/scikit_learn-%{version}.dist-info

%changelog
* Thu Jan 17 2019 - Xu Meng <mengxumx@cn.ibm.com>
- change to use shared blas/lapack libs (#109)

* Thu Jan 03 2019 - Kevin Adler <kadler@us.ibm.com>
- Python cleanup (#96)
- Ensure python packages have necessary dependencies listed
- Update python 3 package descriptions and use SPDX licenses

* Sun Aug 05 2018 - Kevin Adler <kadler@us.ibm.com>
- Update python packages

* Fri Aug 03 2018 - Kevin Adler <kadler@us.ibm.com>
- Clean up various python 3 spec files

* Thu Aug 02 2018 - Kevin Adler <kadler@us.ibm.com>
- Remove unneeded setuptools and wheel build requirements

* Tue Jul 31 2018 - Xu Meng <mengxumx@cn.ibm.com>
- fix sklearn missing build dep - scipy

* Fri Jul 13 2018 - Xu Meng <mengxumx@cn.ibm.com>
- build sklearn from source

* Fri Jun 22 2018 - Xu Meng <mengxumx@cn.ibm.com>
- fix directory conflict issue

* Fri Jun 22 2018 - Xu Meng <mengxumx@cn.ibm.com>
- Add scikit-learn for machine learning

